package speiger.src.coreengine.rendering.inputOld.camera;

import speiger.src.coreengine.math.vector.ints.Vec2i;

public interface ICameraController
{
	public Vec2i getCenter(Camera cam);
	public void onInputUpdate(Camera camera);
	public void updateCamera(Camera camera, float particalTicks);
	public void onPositionUpdate(Camera camera);
	public default void onAdded(Camera cam){};
	public default void onRemoved(Camera cam){};
	public default float getZoom(){return 0F;}
}